POST A COMMENT

6 Comments

Back to Article

  • eddman - Wednesday, March 14, 2012 - link

    It also includes the latest version of physX, 9.12.0213, with updated SDKs for Batman Arkham City, Alice 2, etc., although one can simply download and install it separately. Reply
  • Toadster - Wednesday, March 14, 2012 - link

    and yes, TF2 is still being played! (albeit on one of my two video cards currently) Reply
  • Longscope - Wednesday, March 14, 2012 - link

    Maybe this will fix the timing errors on the 560 series cards using win7 64

    I can't even get to the logon screen for win7 with any driver newer than June's. I'll have to test it later.
    Reply
  • Origin32 - Wednesday, March 14, 2012 - link

    SLI support in Dungeon Defenders o.0. What are people running, 7600 SLI??? Reply
  • Jjoshua2 - Thursday, March 15, 2012 - link

    Just what I was thinking. It probably is a wee bit demanding with max AA on a 30" lcd. Reply
  • readyrover - Thursday, March 15, 2012 - link

    I did the automatic upgrade on my Fermi Ti 560 and immediately afterwards my antivirus and Windows Defender were disabled, none of the new installed programs would uninstall and I could no longer log onto gmail or google HTTP due to a "bad certificate" error. I was able to use system restore and all is well now. But I didn't know if there were any reported problems with the new updates. Skyrim worked just fine with either driver, so no loss there. I may have had a combo of problems, but after going back to the older drivers I didn't receive the certificate error either...strange. Reply

Log in

Don't have an account? Sign up now